%define user nagios
%define group nagios

Name:           shinken
Version:        1.4
Release:        %mkrel 5
%define subrel 1
Summary:        Python Monitoring tool
License:        AGPLv3+
Group:          Monitoring
URL:            http://www.shinken-monitoring.org
Source0:        http://www.shinken-monitoring.org/pub/%{name}-%{version}.tar.gz
Source1:        shinken-admin.8shinken
Source2:        shinken.commands.cfg
Source3:        shinken.tmpfiles
Patch0:         shinken-1.4-fix-compile.patch
Patch1:         fix-startup.diff
Requires:       python 
Requires:       python-pyro4
Requires:       python-simplejson 
Requires:       python-sqlite2
Requires:       nmap 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Buildarch:      noarch

%description
Shinken is a new monitoring tool written in Python. 
The main goal of Shinken is to allow users to have a fully flexible 
architecture for their monitoring system that can easily scale to large 
environments.
Shinken also provide interfaces with NDODB and Merlin database, 
Livestatus connector Shinken does not include any human interfaces.

%package arbiter
Summary:    Shinken Arbiter 
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description arbiter
Shinken arbiter daemon

%package reactionner
Summary:    Shinken Reactionner
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description reactionner
Shinken reactionner daemon

%package scheduler
Summary:    Shinken Scheduler
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description scheduler
Shinken scheduler daemon

%package poller
Summary:    Shinken Poller
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires:   nagios-plugins
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description poller
Shinken poller daemon

%package broker
Summary:    Shinken Poller
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires:   mysql-connector-python
Requires:   python-redis
Requires:   python-memcached
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description broker
Shinken broker daemon

%package receiver
Summary:    Shinken Poller
Group:      Networking/Other
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description receiver
Shinken receiver daemon

%prep
%setup -q
%apply_patches

# Check confuguration files 
sed -i -e 's!plugins-path=/usr/lib/nagios/plugins!plugins-path=%{_libdir}/nagios/plugins!' setup.{cfg,py}
sed -i -e 's!./$SCRIPT!python ./$SCRIPT!' test/quick_tests.sh

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-scripts=/usr/sbin/

install -d -m 755 %{buildroot}%{_sbindir}
install -p -m 755 bin/shinken-{arbiter,admin,discovery,broker,poller,reactionner,receiver,scheduler} %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{python_sitelib}/%{name}
install -p %{name}/*.py %{buildroot}%{python_sitelib}/%{name}
cp -rf %{name}/{clients,core,misc,modules,objects,plugins,webui} %{buildroot}%{python_sitelib}/%{name}


install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 for_fedora/etc/*.ini \
    %{buildroot}%{_sysconfdir}/%{name}
install -m 644 for_fedora/etc/*.cfg \
    %{buildroot}%{_sysconfdir}/%{name}
install -m 644 for_fedora/etc/htpasswd.users \
    %{buildroot}%{_sysconfdir}/%{name}/htpasswd.users
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/commands.cfg

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/objects/contacts
install -m 644 for_fedora/etc/objects/contacts/nagiosadmin.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/objects/contacts/nagiosadmin.cfg

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/objects/hosts
install -m 644 for_fedora/etc/objects/hosts/localhost.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/objects/hosts/localhost.cfg

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/objects/services
install -m 644 for_fedora/etc/objects/services/linux_disks.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/objects/services/linux_disks.cfg

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/*.service %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 for_fedora/%{name}.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/shinken

install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 644 %{SOURCE3} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}/archives
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_usr}/lib/%{name}/plugins
#install  -m 755 libexec/*{.py,.pl} %{buildroot}%{_usr}/lib/%{name}/plugins

install -d -m 755 %{buildroot}%{_mandir}/man3
install -p -m 644 doc/man/* %{buildroot}%{_mandir}/man3
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man3

sed -i -e '1d;2i#!/usr/bin/python' \
    %{buildroot}%{python_sitelib}/%{name}/__init__.py
sed -i -e 's:#!/usr/bin/python::' \
    %{buildroot}%{python_sitelib}/%{name}/core/__init__.py
sed -i -e 's:#!/usr/bin/python::' \
    %{buildroot}%{python_sitelib}/%{name}/plugins/__init__.py

sed -i \
    -e 's!/usr/local/shinken/libexec!%{_libdir}/nagios/plugins!' \
    -e 's!/usr/lib/nagios/plugins!%{_libdir}/nagios/plugins!' \
    %{buildroot}%{_sysconfdir}/%{name}/resource.cfg

sed -i \
    -e 's!/usr/local/shinken/var/arbiterd.pid!/run/shinken/arbiterd.pid!' \
    -e 's!command_file=/usr/local/shinken/var/rw/nagios.cmd!command_file=/var/log/shinken/nagios.cmd!' \
    -e 's!cfg_file=hostgroups.cfg!!' \
    %{buildroot}%{_sysconfdir}/%{name}/nagios.cfg

sed -i -e 's!,Windows_administrator!!' \
    %{buildroot}%{_sysconfdir}/%{name}/contactgroups.cfg

sed -i \
    -e 's!/usr/local/shinken/src/!/usr/sbin/!' \
    -e 's!/usr/local/nagios/etc/!/etc/shinken/!' \
    -e 's!/usr/local/shinken/src/etc/!/etc/shinken/!' \
    -e 's!(you can also be even more lazy and call the bin/launch_all.sh script).!!' \
    FROM_NAGIOS_TO_SHINKEN

sed -i -e 's/pyro/pyro4/' \
    %{buildroot}%{python_sitelib}/Shinken-%{version}-py%{pyver}.egg-info/requires.txt

rm -rf %{buildroot}%{_localstatedir}/{log,run,lib}/%{name}/void_for_git
rm %{buildroot}%{_sysconfdir}/default/shinken
rm -rf %{buildroot}%{_sysconfdir}/init.d/shinken*
rm -rf %{buildroot}%{_usr}/lib/%{name}/plugins/*.{pyc,pyo}

rm -rf %{buildroot}%{_sbindir}/shinken-{arbiter,discovery,broker,poller,reactionner,receiver,scheduler}.py

rm -rf  %{buildroot}%{python_sitelib}/%{name}/webui/plugins/eue

chmod -Rf 0755  %{buildroot}%{python_sitelib}/%{name}/webui/plugins/impacts/impacts.py

%pre
%_pre_useradd %{user} %{_localstatedir}/spool/nagios /sbin/nologin

%files arbiter
%{_unitdir}/%{name}-arbiter.service
%{_sbindir}/%{name}-arbiter*
%{_mandir}/man3/%{name}-arbiter*

%files reactionner
%{_unitdir}/%{name}-reactionner.service
%{_sbindir}/%{name}-reactionner*
%{_mandir}/man3/%{name}-reactionner*

%files scheduler
%{_unitdir}/%{name}-scheduler.service
%{_sbindir}/%{name}-scheduler*
%{_mandir}/man3/%{name}-scheduler*

%files poller
%{_unitdir}/%{name}-poller.service
%{_sbindir}/%{name}-poller*
%{_mandir}/man3/%{name}-poller*

%files broker
%{_unitdir}/%{name}-broker.service
%{_sbindir}/%{name}-broker*
%{_mandir}/man3/%{name}-broker*

%files receiver
%{_unitdir}/%{name}-receiver.service
%{_sbindir}/%{name}-receiver*
%{_mandir}/man3/%{name}-receiver*

%files
%{python_sitelib}/%{name}
%{python_sitelib}/Shinken-%{version}-py%{pyver}.egg-info
%doc README.rst COPYING Changelog THANKS db doc FROM_NAGIOS_TO_SHINKEN
%{_usr}/lib/%{name}/plugins
%{_mandir}/man3/%{name}-discovery*
%{_mandir}/man3/%{name}-admin*
%{_mandir}/man3/%{name}-skonf*
%{_sbindir}/%{name}-admin
%{_sbindir}/%{name}-discovery
%{_sbindir}/%{name}-hostd
%{_sbindir}/%{name}-packs
%{_sbindir}/%{name}-skonf
%{_unitdir}/shinken-skonf.service
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%attr(-,%{user} ,%{group}) %dir %{_localstatedir}/log/%{name}
%attr(-,%{user} ,%{group}) %dir %{_localstatedir}/lib/%{name}


%changelog
* Tue Feb 04 2014 tv <tv> 1.4-5.1.mga4
+ Revision: 581530
- fix python errors

* Sat Oct 19 2013 umeabot <umeabot> 1.4-5.mga4
+ Revision: 532871
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.4-4.mga4
+ Revision: 502311
- Delete eue module

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 23 2013 guillomovitch <guillomovitch> 1.4-2.mga4
+ Revision: 470173
- fix dependencies, python-pyro has been renamed

* Wed Jun 05 2013 guillomovitch <guillomovitch> 1.4-1.mga4
+ Revision: 437505
- new version

* Tue Mar 26 2013 guillomovitch <guillomovitch> 1.2.4-1.mga3
+ Revision: 405332
- new version
- fix pyro dependency (#9377)

* Wed Feb 06 2013 guillomovitch <guillomovitch> 1.2.3-1.mga3
+ Revision: 394845
- new version

* Sun Jan 27 2013 guillomovitch <guillomovitch> 1.2.2-1.mga3
+ Revision: 392800
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 381975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 guillomovitch <guillomovitch> 1.2-1.mga3
+ Revision: 287774
- new version

* Tue Jun 05 2012 guillomovitch <guillomovitch> 1.0.1-1.mga3
+ Revision: 256018
- new version
- use /run for pid files

* Sat Apr 28 2012 tmb <tmb> 1.0-2.mga2
+ Revision: 233856
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 222902
- imported package shinken

